=== modified file 'TODO'
--- TODO	2008-09-19 00:00:51 +0000
+++ TODO	2008-09-17 00:34:09 +0000
@@ -7,7 +7,8 @@
 * mandos-client
 ** TODO [#B] Temporarily lower kernel log level
    for less printouts during sucessfull boot.
-** TODO [#C] IPv4 support
+** TODO IPv4 support
+** TODO use strsep instead of strtok?
 
 * DONE password-prompt
 

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2008-09-19 00:00:51 +0000
+++ debian/mandos-client.README.Debian	2008-09-17 00:34:09 +0000
@@ -3,11 +3,6 @@
 stanza to copy and paste into /etc/mandos/clients.conf on the Mandos
 server.
 
-Also, if some other network interface than "eth0" is used, it will be
-necessary to edit /etc/mandos/plugin-runner.conf to uncomment and
-change the line there.  If this file is changed, it will be necessary
-to update the initrd image by doing "update-initramfs -k all -u".
-
 It is NOT necessary to edit /etc/crypttab to specify
 /usr/lib/mandos/plugin-runner as a keyscript for the root file system;
 if no keyscript is given for the root file system, the Mandos client

=== modified file 'debian/mandos-client.postrm'
--- debian/mandos-client.postrm	2008-09-19 00:00:51 +0000
+++ debian/mandos-client.postrm	2008-09-17 00:34:09 +0000
@@ -30,8 +30,8 @@
 # Update the initramfs
 update_initramfs()
 {
-	if type update-initramfs >/dev/null 2>&1 ; then
-		update-initramfs -u -k all
+	if which update-initramfs >/dev/null 2>&1; then
+		update-initramfs -u
 	fi
 }
 

=== removed file 'debian/mandos.postinst'
--- debian/mandos.postinst	2008-09-19 00:54:24 +0000
+++ debian/mandos.postinst	1970-01-01 00:00:00 +0000
@@ -1,40 +0,0 @@
-#!/bin/bash -e
-# This script can be called in the following ways:
-#
-# After the package was installed:
-#       <postinst> configure <old-version>
-#
-#
-# If prerm fails during upgrade or fails on failed upgrade:
-#       <old-postinst> abort-upgrade <new-version>
-#
-# If prerm fails during deconfiguration of a package:
-#       <postinst> abort-deconfigure in-favour <new-package> <version>
-#                  removing <old-package> <version>
-#
-# If prerm fails during replacement due to conflict:
-#       <postinst> abort-remove in-favour <new-package> <version>
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
-    configure)
-	if ! getent passwd mandos >/dev/null; then
-	    adduser --disabled-password  --quiet --system \
-		--home /var/run/mandos --no-create-home \
-		--gecos "Mandos password daemon" --group mandos
-	fi
-	;;
-
-    abort-upgrade|abort-deconfigure|abort-remove)
-	;;
-
-    *)
-	echo "$0 called with unknown argument \`$1'" 1>&2
-	exit 1
-	;;
-esac
-
-#DEBHELPER#
-
-exit 0

=== removed file 'debian/mandos.postrm'
--- debian/mandos.postrm	2008-09-19 00:54:24 +0000
+++ debian/mandos.postrm	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-set -e
-
-#DEBHELPER#
-
-if [ "$1" = "purge" ] ; then
-        deluser --quiet --system mandos > /dev/null || true
-        delgroup --quiet --system mandos > /dev/null || true
-fi
-

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2008-09-19 00:54:24 +0000
+++ initramfs-tools-hook	2008-09-07 09:36:35 +0000
@@ -120,16 +120,6 @@
     cp --archive --sparse=always "$file" "${DESTDIR}${CONFDIR}"
 done
 
-if [ ${mandos_user} != 65534 ]; then
-    PLUGINRUNNERCONF="${DESTDIR}${CONFDIR}/plugin-runner.conf"
-    echo "--userid=${mandos_user}" >> "$PLUGINRUNNERCONF"
-fi
-
-if [ ${mandos_group} != 65534 ]; then
-    PLUGINRUNNERCONF="${DESTDIR}${CONFDIR}/plugin-runner.conf"
-    echo "--groupid=${mandos_group}" >> "$PLUGINRUNNERCONF"
-fi
-
 # Key files 
 for file in  "$keydir"/*; do
     if [ -d "$file" ]; then

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2008-09-19 00:00:51 +0000
+++ plugin-runner.c	2008-09-07 15:42:11 +0000
@@ -72,6 +72,8 @@
 const char *argp_program_version = "plugin-runner 1.0";
 const char *argp_program_bug_address = "<mandos@fukt.bsnet.se>";
 
+struct plugin;
+
 typedef struct plugin{
   char *name;			/* can be NULL or any plugin name */
   char **argv;
@@ -206,7 +208,8 @@
  * Descriptor Flags".
  * *Note File Descriptor Flags:(libc)Descriptor Flags.
  */
-static int set_cloexec_flag(int fd){
+static int set_cloexec_flag(int fd)
+{
   int ret = fcntl(fd, F_GETFD, 0);
   /* If reading the flags failed, return error indication now. */
   if(ret < 0){
@@ -219,7 +222,7 @@
 
 /* Mark processes as completed when they exit, and save their exit
    status. */
-static void handle_sigchld(__attribute__((unused)) int sig){
+void handle_sigchld(__attribute__((unused)) int sig){
   while(true){
     plugin *proc = plugin_list;
     int status;
@@ -250,7 +253,7 @@
 }
 
 /* Prints out a password to stdout */
-static bool print_out_password(const char *buffer, size_t length){
+bool print_out_password(const char *buffer, size_t length){
   ssize_t ret;
   for(size_t written = 0; written < length; written += (size_t)ret){
     ret = TEMP_FAILURE_RETRY(write(STDOUT_FILENO, buffer + written,

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2008-09-19 00:00:51 +0000
+++ plugin-runner.xml	2008-09-12 19:12:40 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY VERSION "1.0">
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2008-09-19">
+<!ENTITY TIMESTAMP "2008-09-12">
 ]>
 
 <refentry xmlns:xi="http://www.w3.org/2001/XInclude">
@@ -54,10 +54,10 @@
       <command>&COMMANDNAME;</command>
       <group rep="repeat">
 	<arg choice="plain"><option>--global-env=<replaceable
-	>ENV</replaceable><literal>=</literal><replaceable
+	>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></arg>
 	<arg choice="plain"><option>-G
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable> </option></arg>
       </group>
       <sbr/>
@@ -170,10 +170,10 @@
     <variablelist>
       <varlistentry>
 	<term><option>--global-env
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></term>
 	<term><option>-G
-	<replaceable>ENV</replaceable><literal>=</literal><replaceable
+	<replaceable>VAR</replaceable><literal>=</literal><replaceable
 	>value</replaceable></option></term>
 	<listitem>
 	  <para>

